import request from '@/utils/request'

// 查询投票信息列表
export function listTpInfo(query) {
  return request({
    url: '/system/tpInfo/list',
    method: 'get',
    params: query
  })
}

// 查询投票信息列表
export function listTpInfoJg(query) {
  return request({
    url: '/system/tpInfo/listjg',
    method: 'get',
    params: query
  })
}
// 查询投票信息详细
export function getTpInfo(id) {
  return request({
    url: '/system/tpInfo/' + id,
    method: 'get'
  })
}

// 新增投票信息
export function addTpInfo(data) {
  return request({
    url: '/system/tpInfo',
    method: 'post',
    data: data
  })
}

// 修改投票信息
export function updateTpInfo(data) {
  return request({
    url: '/system/tpInfo',
    method: 'put',
    data: data
  })
}

// 删除投票信息
export function delTpInfo(id) {
  return request({
    url: '/system/tpInfo/' + id,
    method: 'delete'
  })
}
